API ReferenceCWT credential configuration
Retrieve a CWT credential configuration
GET
/v2/credentials/compact/configurations/{id}Returns a CWT credential configuration by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_STARTCREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_CREDENTIAL_CONFIGURATION_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Unique identifier for the CWT credential configuration.
Format
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact/configurations/3948c40e-6e19-4ffc-933c-91f643f24264"{ "id": "983c0a86-204f-4431-9371-f5a22e506599", "type": "CourseCredential", "claimMappings": { "firstName": { "mapFrom": "claims.given_name", "required": true }, "address": { "mapFrom": "claims.address.formatted" }, "picture": { "mapFrom": "claims.picture", "defaultValue": "http://example.edu/img/placeholder.png" }, "badge": { "defaultValue": "http://example.edu/img/badge.png" }, "providerSubjectId": { "mapFrom": "authenticationProvider.subjectId" } }, "revocable": true, "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60", "expiresIn": { "years": 1, "months": 12, "weeks": 52, "days": 365, "hours": 24, "minutes": 1440, "seconds": 3600 }}How would you rate this page?